scala.collection.immutable.ListSet
class Node

[source: `scala/collection/immutable/ListSet.scala`]

@serializable
`protected` `class` Node(`protected val override` elem : A)
  `extends` ListSet[A]

Method Summary
`override def` | + (e : A) : ListSet[A] This method creates a new set with an additional element.
`override def` | - (e : A) : ListSet[A] `-` can be used to remove a single element from a set.
`override def` | contains (e : A) : Boolean Checks if this set contains element `elem`.
`override def` | isEmpty : Boolean Checks if this set is empty.
`protected override def` | next : ListSet[A]
`override def` | size : Int Returns the number of elements in this set.
`override def` | stringPrefix : String Defines the prefix of this object's `toString` representation.

Methods inherited from ListSet
empty, elements, equals

Methods inherited from Set
+, ++, ++, incl, incl, -, --, --, excl, excl, intersect, **, map, flatMap, filter

Methods inherited from Set
apply, subsetOf, hashCode, toArray

Methods inherited from Collection
toString

Methods inherited from Iterable
concat, ++, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, projection, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` size : Int

  Returns the number of elements in this set.

Returns
  number of set elements.

Overrides
  ListSet.size

`override` `def` isEmpty : Boolean

  Checks if this set is empty.

Returns
  true, iff there is no element in the set.

Overrides
  ListSet.isEmpty

`override` `def` contains(e : A) : Boolean

  Checks if this set contains element `elem`.

Parameters
  `elem -` the element to check for membership.
Returns
  true, iff `elem` is contained in this set.

Overrides
  ListSet.contains

`override` `def` +(e : A) : ListSet[A]

  This method creates a new set with an additional element.

Overrides
  ListSet.+

`override` `def` -(e : A) : ListSet[A]

  `-` can be used to remove a single element from a set.

Overrides
  ListSet.-

`protected override` `def` next : ListSet[A]

Throws
  Predef.NoSuchElementException -

Overrides
  ListSet.next

`override` `def` stringPrefix : String

  Defines the prefix of this object's `toString` representation.